<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Ambisonic Web Player and Rotator</title>
    <script src="./lib/jsambisonics/ambisonics.min.js"></script>
    <script src="./lib/mqtt.js/mqtt.min.js"></script>
    <script src="./utilities.js"></script>
    <script src="./player.js"></script>
    <script src="./websocket.js"></script>
    <script src="./mqtt.js"></script>
    <script defer src="./main.js"></script>
    <style>
        input {
            width: 50%;
        }
    </style>
</head>

<body>
    <h1>FOARenderer</h1>
    <div class="ht-custom-info--box">
        X Roll <span id="infoXValue">0</span>°<br>
        <input id="inputX" type="range" min="-179" max="179" value="0" step="1" oninput="manualRotate()">
        <br>
        Y Pitch <span id="infoYValue">0</span>°</span><br>
        <input id="inputY" type="range" min="-179" max="179" value="0" step="1" oninput="manualRotate()">
        <br>
        Z Yaw <span id="infoZValue">0</span><br>
        <input id="inputZ" type="range" min="-179" max="179" value="0" step="1" oninput="manualRotate()">
    </div>
</body>

</html>